Bug 1253236 - Cannot print with MFP m127fw after upgrading to 3.15.7-1
Cannot print with MFP m127fw after upgrading to 3.15.7-1
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 05:32 EDT by Guido Mureddu
Modified: 2015-08-23 12:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.15.7-5.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-19 04:21:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output generated by system-config-printer's troubleshooting utility. (42.46 KB, text/plain)
2015-08-13 05:32 EDT, Guido Mureddu
no flags Details

  None (edit)
Description Guido Mureddu 2015-08-13 05:32:50 EDT
Created attachment 1062421 [details]
Output generated by system-config-printer's troubleshooting utility.

Description of problem:
After the recent hplip package upgrade to version 3.15.7-1, I've been unable to print from Fedora 22 using my m127fw multifunction printer. It was working perfectly with version 3.15.6-1. Downgrading to that version (using packages from koji) solves the issue.

Version-Release number of selected component (if applicable):
3.15.7-1

How reproducible:
Always

Steps to Reproduce:
1. Install printer (m127fw) using either the HP Device Manager or GNOME's control panel. The printer is correctly detected on the network (wireless connection).
2. Try printing a document (anything, from any application: the driver's test page, a text document, a PDF...) using the newly installed printer.

Actual results:
The printer remains inactive. HP Device Manager and Fedora show queued jobs as "stopped".

Expected results:
The printer produces the expected output.

Additional info:
As I wrote above, the issue can be solved (temporarily) installing the package's previous version. However, GNOME's Software application will always reinstall the latest version at each system update / reboot cycle. Therefore I have to downgrade hplip (and related packages) every time to be able to use my printer.
Comment 1 Jiri Popelka 2015-08-13 07:48:45 EDT
Your printer requires proprietary plugin to work.
You need to install it with 'hp-plugin -i' - if you spot any problems during installation then it's most likely bug #1249414.
Comment 2 Guido Mureddu 2015-08-13 09:17:08 EDT
(In reply to Jiri Popelka from comment #1)
> Your printer requires proprietary plugin to work.
> You need to install it with 'hp-plugin -i' - if you spot any problems during
> installation then it's most likely bug #1249414.

Hi, thanks for your reply. You're right of course, and I should have mentioned it in my original report: this printer requires a plugin, which HP's installer downloads and sets up without any problem. It doesn't make any difference if I install it manually. I haven't noticed anything similar to what is described in the report for bug 1249414. The setup process is actually pretty smooth, just as it was with previous versions; however, for some reason, jobs are queued and then immediately stopped.
Comment 3 Jiri Popelka 2015-08-13 09:24:34 EDT
Thanks, then there's one known issue (https://bugs.launchpad.net/hplip/+bug/1476920) introduced in 3.15.7 which should be fixed with http://koji.fedoraproject.org/koji/buildinfo?buildID=676708 (hplip-3.15.7-2.fc22).
Try it and if it doesn't help please provide more logs per
https://fedoraproject.org/wiki/How_to_debug_printing_problems#Getting_debug_information_by_other_means
Comment 4 Guido Mureddu 2015-08-13 13:36:52 EDT
I can confirm that 3.15.7-2 does indeed fix this issue. I tested it on two different Fedora 22 machines; both can now print without problems.
Thank you for your assistance.
Comment 5 Fedora Update System 2015-08-14 05:54:46 EDT
hplip-3.15.7-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/hplip-3.15.7-2.fc22
Comment 6 Fedora Update System 2015-08-14 22:21:55 EDT
Package hplip-3.15.7-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hplip-3.15.7-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13512/hplip-3.15.7-2.fc22
then log in and leave karma (feedback).
Comment 7 Guido Mureddu 2015-08-15 04:34:24 EDT
Thank you, I'll test the new package as soon as possible and leave feedback.
Comment 8 Fedora Update System 2015-08-18 08:55:38 EDT
hplip-3.15.7-5.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/hplip-3.15.7-5.fc23
Comment 9 Fedora Update System 2015-08-19 04:21:50 EDT
hplip-3.15.7-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-08-23 12:40:05 EDT
hplip-3.15.7-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.